RubyGems Navigation menu

pact 1.64.0

Enables consumer driven contract testing, providing a mock service and DSL for the consumer project, and interaction playback and verification for the service provider project.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.64.0 - December 20, 2023 (61.5 KB)
  2. 1.63.0 - September 29, 2022 (61 KB)
  3. 1.62.0 - February 21, 2022 (60.5 KB)
  4. 1.61.0 - December 16, 2021 (59.5 KB)
  5. 1.60.0 - October 01, 2021 (59.5 KB)
Show all versions (155 total)

Runtime Dependencies (7):

pact-mock_service ~> 3.0, >= 3.3.1
pact-support ~> 1.16, >= 1.16.9
rack-test >= 0.6.3, < 3.0.0
rspec ~> 3.0
thor >= 0.20, < 2.0
webrick ~> 1.8

Development Dependencies (10):

bump ~> 0.5
fakefs = 2.4
faraday ~> 1.0, < 3.0
hashie ~> 5.0
pact-message ~> 0.8
rake ~> 13.0
rspec-its ~> 1.3
webmock ~> 3.0

Owners:

Pushed by:

Authors:

  • James Fraser, Sergei Matheson, Brent Snook, Ronald Holshausen, Beth Skurrie

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 21,455,277

For this version 3,191,413

License:

MIT

Required Ruby Version: >= 2.0

Links: